/* (C) 2005 Richard Mills / The Linux Academy Ltd.
 *
 * Bits to do with debugging.
 *
 * $Id: Debug.hh,v 1.2 2005-04-16 17:33:27 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#include "Logger.hh"

#ifndef _DEBUG_HH_
#define _DEBUG_HH_

// Get reference to the global logger
extern HTTPTunnel::Logger* g_pLogger;

// Define debug levels
#define QUIET		0
#define CRIT		1
#define ERROR		2
#define WARN		3
#define INFO		4
#define VERBOSE	5

// Macro to wrap debug output
#ifdef DEBUG_TUN
	#define DPRINT(text, level) g_pLogger->trace(text, level);
	#define DPRINTV(text) g_pLogger->trace(text, VERBOSE);
	#define DPRINTI(text) g_pLogger->trace(text, INFO);
	#define DPRINTW(text) g_pLogger->trace(text, WARN);
	#define DPRINTE(text) g_pLogger->trace(text, ERROR);
	#define DPRINTC(text) g_pLogger->trace(text, CRIT);
#else
	#define DPRINT(text, level)
	#define DPRINTV(text)
	#define DPRINTI(text)
	#define DPRINTW(text)
	#define DPRINTE(text)
	#define DPRINTC(text)
#endif


#endif

