/* (C) 2006 Richard Mills / The Linux Academy Ltd.
 *
 * Encapsulate settings for server authentication.
 *
 * $Id: ServerAuthSettings.hh,v 1.2 2006-08-28 12:05:49 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _SERVER_AUTH_SETTINGS_HH_
#define _SERVER_AUTH_SETTINGS_HH_

#include <string>
#include "AuthSettings.hh"

namespace HTTPTunnel {

class ServerAuthSettings : public AuthSettings {
public:
	// Construction/destruction
	ServerAuthSettings(AuthScheme authScheme, std::string realm);
	ServerAuthSettings(AuthScheme authScheme, std::string user, std::string passwd);
	ServerAuthSettings(const ServerAuthSettings& that);
	virtual ~ServerAuthSettings();

	// Assignment
	virtual ServerAuthSettings& operator=(const ServerAuthSettings& that);

	// Construct tunneling headers
	virtual std::string getResponseHeader(std::string uri);


protected:

	/***********/
	/* Methods */
	/***********/

	// Get authorisation request header field identifier
	virtual std::string getAuthReqestHeaderID(void) const;

};


}	// namespace

#endif

